Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518350 - Screen freezes, have to reboot to get it back.
Summary: Screen freezes, have to reboot to get it back.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-28 17:15 UTC by Tom Horsley
Modified: 2018-11-30 20:52 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 20:52:32 UTC


Attachments (Terms of Use)
dmesg from time when system was frozen (deleted)
2017-11-28 17:15 UTC, Tom Horsley
no flags Details
Xorg from when I was booted with nouveau (deleted)
2017-11-28 17:17 UTC, Tom Horsley
no flags Details

Description Tom Horsley 2017-11-28 17:15:47 UTC
Created attachment 1359980 [details]
dmesg from time when system was frozen

Description of problem:

Something very much like this happened back in fedora 26 as well. After running for a few hours, the screen suddenly freezes, the mouse cursor will move but nothing else is responsive. I've "fixed" this by installing the nvidia drivers from rpmfusion. The system is still "up" when this happens and I can ssh into it (which is where I got the dmesg output I'm attaching).


Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-1.0.15-3.fc27.x86_64


How reproducible:
Random. I was running for a few hours before it happened.

Steps to Reproduce:
1. Install fedora 27
2. Start using it
3. Have screen freeze at some point

Actual results:
Screen freeze

Expected results:
No screen freeze

Additional info:

Comment 1 Tom Horsley 2017-11-28 17:17:53 UTC
Created attachment 1359981 [details]
Xorg from when I was booted with nouveau

This is from after the screen freeze, I booted too many times and forgot to grab the initial log file, but this does show all the info xorg digs up and logs about the hardware and such.

Comment 2 mjcharles 2018-02-26 05:33:59 UTC
I'm having the same issue. I created Bug #1548950 as well.

Comment 3 mjcharles 2018-04-09 03:23:54 UTC
I went back to 4.13.8-300.fc27.x86_64 and con confirm that my laptop has had zero system crashes or other related issues.  

In fact since moving to to 4.15.x (4.15.14-300.fc27.x86) I have the additional issues none of which are present in 4.13.

- ACPI Exceptions issues
- Won't wake on Laptop lid open
- Unable t wake from sleep 
- unable to use wayland without gnome crashing

I beyond frustrated that Fedora in this state has become unusable... extremely disappointed that I'm forced to move on to something else.

Comment 4 Ben Cotton 2018-11-27 16:16:58 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2018-11-30 20:52:32 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.